package com.ruoyi.zdsz.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;

import java.io.Serializable;

/**
 * 开栓|安检|维修视图对象 z_comprehensive
 *
 * @author ruoyi
 * @date 2023-12-27
 */
@Data
@ExcelIgnoreUnannotated
public class ZComprehensiveVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ExcelProperty(value = "")
    private String id;

    /**
     * 小区id
     */
    @ExcelProperty(value = "小区id")
    private String areaId;

    /**
     * 楼栋id
     */
    @ExcelProperty(value = "楼栋id")
    private String buildingId;

    /**
     * 单元id
     */
    @ExcelProperty(value = "单元id")
    private String unitId;

    /**
     * 房间id
     */
    @ExcelProperty(value = "房间id")
    private String houseId;

    /**
     * 类型
     */
    @ExcelProperty(value = "类型")
    private String type;

    /**
     * 安检是否合格
     */
    @ExcelProperty(value = "安检是否合格")
    private String isQualified;

    /**
     * 是否维修
     */
    @ExcelProperty(value = "是否维修")
    private String isMaintenance;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
