package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZEngiineeringPhoto;
import com.ruoyi.zdsz.domain.vo.ZEngiineeringPhotoVo;
import com.ruoyi.zdsz.domain.bo.ZEngiineeringPhotoBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 照片Service接口
 *
 * @author ruoyi
 * @date 2023-12-27
 */
public interface IZEngiineeringPhotoService {

    /**
     * 查询照片
     */
    ZEngiineeringPhotoVo queryById(String id);

    /**
     * 查询照片列表
     */
    TableDataInfo<ZEngiineeringPhotoVo> queryPageList(ZEngiineeringPhotoBo bo, PageQuery pageQuery);

    /**
     * 查询照片列表
     */
    List<ZEngiineeringPhotoVo> queryList(ZEngiineeringPhotoBo bo);

    /**
     * 新增照片
     */
    Boolean insertByBo(ZEngiineeringPhotoBo bo);

    /**
     * 修改照片
     */
    Boolean updateByBo(ZEngiineeringPhotoBo bo);

    /**
     * 校验并批量删除照片信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
